BINUTILS-CONFIG(8)

NAME
binutils-config - manage active versions of the binutils programs

DESCRIPTION
The binutils-config script allows you to switch between different versions of binutils when you have installed multiple copies via portage. It also allows you to manage multiple cross-compiling targets. Remember, you may have one version of binutils active per CTARGET.

SYNOPSIS
binutils-config --get-current-profile [TARGET] binutils-config --list-profiles binutils-config --uninstall <TARGET>

GENERIC OPTIONS

TARGET
    Change the system to use the specified binutils version. This may take the form of the list index number (the number shown in the --list-profiles output), a full CTARGET-VERSION (useful when working with cross-compilers), or just a binutils VERSION where the CTARGET is assumed to be the native CHOST value.

-c, --get-current-profile [TARGET]
    Display the active profile for TARGET. If none is specified, the host system's TARGET will be shown.

-l, --list-profiles
    Show all the profiles that your system currently has installed and what versions are active. The active native version is noted with a bright green asterisk while the active cross-compiler versions are noted with a light blue asterisk.

-u, --uninstall <TARGET>
    This is really for internal use only. Used to remove all traces of the TARGET binutils from your system.

SPECIFIC OPTIONS

--amd64
    A nice feature of the amd64/x86 toolchain is that each can produce code for other. The typical user could care less, but some may want to be able to cross-compile for an amd64 on a x86 system. This will install the extra symlinks ('x86_64') to facilitate this process.

--arm
    The arm architecture comes in both big and little endian versions. Typically you only need support for the native target, but sometimes it's helpful to have links for the other endian target. This will make sure you have both the big endian target ('armeb') and the little endian target ('arm').

--mips
    The mips architecture (like arm) comes in both big and little endian versions. Typically you only need support for the native target, but sometimes it's helpful to have links for the other endian target. This will make sure you have both the big endian target ('mips') and the little endian target ('mipsel').

--x86
    One oddity of the x86 toolchain is that they may be named 'i386', or 'i486', or 'i586', or 'i686', yet still produce the same exact code. When dealing with distcc systems that are mixed (some i586 and some i686), you will need symlinks for all these targets. This option will install those extra targets.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ar(1), as(1), ld(1), nm(1), objcopy(1), ranlib(1), readelf(1), strings(1), strip(1)

FILES
/usr/bin/binutils-config
/etc/env.d/binutils/*

AUTHORS
Mike Frysinger <vapier@gentoo.org>